package contextualbreakpoints.ui.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.texteditor.AbstractRulerActionDelegate;
import org.eclipse.ui.texteditor.ITextEditor;

public class ExceptBeforeContextMenuActionDelegate extends
		AbstractRulerActionDelegate {

	ExceptBeforeContextMenuAction delegateAction;
	
	protected IAction createAction(ITextEditor editor,
			IVerticalRulerInfo rulerInfo) {
		delegateAction = new ExceptBeforeContextMenuAction(editor, rulerInfo);
		delegateAction.setText("Don't Suspend Before Reaching Line");
		return delegateAction;
	}
	
	public void setActiveEditor(IAction action, IEditorPart targetEditor) {
		super.setActiveEditor(action, targetEditor);
		action.setMenuCreator(delegateAction);
	}

}
