package contextualbreakpoints.ui.actions;

import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.texteditor.ITextEditor;

import contextualbreakpoints.breakpoints.IJavaContextualBreakpoint;
import contextualbreakpoints.breakpoints.IJavaContextualLineBreakpoint;

public class OnlyAfterBreakpointRulerAction extends
		BreakpointConditionBreakpointRulerAction {

	protected IJavaContextualLineBreakpoint after;
	
	public OnlyAfterBreakpointRulerAction(ITextEditor editor, IVerticalRulerInfo rulerInfo, String text, 
			IJavaContextualLineBreakpoint after) {
		super(editor, rulerInfo, text);
		this.after = after;
	}
	
	public void run() {
		if (getBreakpoint() instanceof IJavaContextualBreakpoint) {
			IJavaContextualBreakpoint bp = (IJavaContextualBreakpoint)getBreakpoint();
	        OnlyAfterAction action = new OnlyAfterAction(bp, after);
	        action.run();
		}
	}

}
