package contextualbreakpoints.ui.actions;

import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.texteditor.ITextEditor;

import contextualbreakpoints.breakpoints.IJavaContextualBreakpoint;
import contextualbreakpoints.breakpoints.IJavaContextualLineBreakpoint;

public class OnlyBeforeBreakpointRulerAction extends
BreakpointConditionBreakpointRulerAction {
	
	protected IJavaContextualLineBreakpoint before;
	
	public OnlyBeforeBreakpointRulerAction(ITextEditor editor, IVerticalRulerInfo rulerInfo, String text, 
			IJavaContextualLineBreakpoint after) {
		super(editor, rulerInfo, text);
		this.before = after;
	}
	
	public void run() {
		if (getBreakpoint() instanceof IJavaContextualBreakpoint) {
			IJavaContextualBreakpoint bp = (IJavaContextualBreakpoint)getBreakpoint();
			OnlyBeforeAction action = new OnlyBeforeAction(bp, before);
			action.run();
		}
	}
}
