package contextualbreakpoints.ui.actions;

import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.texteditor.ITextEditor;

import contextualbreakpoints.breakpoints.IJavaContextualBreakpoint;
import contextualbreakpoints.contextlogic.MethodKey;

public class OnlyCFlowBreakpointRulerAction extends
BreakpointConditionBreakpointRulerAction {

	protected MethodKey methKey;
	
	public OnlyCFlowBreakpointRulerAction(ITextEditor editor, IVerticalRulerInfo rulerInfo, String text, 
			MethodKey methKey) {
		super(editor, rulerInfo, text);
		this.methKey = methKey;
	}
	
	public void run() {
		if (getBreakpoint() instanceof IJavaContextualBreakpoint) {
			IJavaContextualBreakpoint bp = (IJavaContextualBreakpoint)getBreakpoint();
			OnlyCFlowAction action = new OnlyCFlowAction(bp, methKey);
			action.run();
		}
	}
}
