package contextualbreakpoints.ui.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.texteditor.AbstractRulerActionDelegate;
import org.eclipse.ui.texteditor.ITextEditor;

public class OnlyCFlowContextMenuActionDelegate extends
		AbstractRulerActionDelegate {

	OnlyCFlowContextMenuAction delegateAction;
	
	protected IAction createAction(ITextEditor editor,
			IVerticalRulerInfo rulerInfo) {
		delegateAction = new OnlyCFlowContextMenuAction(editor, rulerInfo);
		delegateAction.setText("Only Suspend in Control Flow of Method");
		return delegateAction;
	}
	
	public void setActiveEditor(IAction action, IEditorPart targetEditor) {
		super.setActiveEditor(action, targetEditor);
		action.setMenuCreator(delegateAction);
	}

}
