package contextualbreakpoints.ui.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IEditorActionDelegate;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IViewActionDelegate;
import org.eclipse.ui.IViewPart;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

import contextualbreakpoints.contextlogic.DebuggerContext;

public class ResetContextActionDelegate implements IEditorActionDelegate,
		IWorkbenchWindowActionDelegate, IViewActionDelegate {

	public void setActiveEditor(IAction action, IEditorPart targetEditor) {
	}

	public void run(IAction action) {
		// no need to reset if debugger is not running
		if (DebuggerContext.getInstance().getDebuggerActive()) {
			DebuggerContext.getInstance().reset(null, DebuggerContext.getInstance().getMostRecentTarget(), true);
		}
	}

	public void selectionChanged(IAction action, ISelection selection) {
	}

	public void dispose() {
	}

	public void init(IWorkbenchWindow window) {
	}

	public void init(IViewPart view) {
	}

}
