package contextualbreakpoints.ui.actions;

import contextualbreakpoints.breakpoints.IJavaContextualBreakpoint;
import contextualbreakpoints.contextlogic.DebuggerContext;
import contextualbreakpoints.contextlogic.DefaultsLogic;
import contextualbreakpoints.contextlogic.IClippyDialog;
import contextualbreakpoints.ui.widgets.ClearContextDialog;

public class SuggestNegativeAction extends BreakpointConditionAction {

	public SuggestNegativeAction(IJavaContextualBreakpoint bp) {
		super(bp);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.action.IAction#run()
	 */
	public void run() {
		DebuggerContext.getInstance().getClippy().open(breakpoint, DefaultsLogic.getDefaultNegativePointcuts(), IClippyDialog.BP_EXCLUDE);
	}
	
}
