package contextualbreakpoints.ui.actions;

import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.texteditor.ITextEditor;

import contextualbreakpoints.breakpoints.IJavaContextualBreakpoint;

public class SuggestNegativeBreakpointRulerAction extends
		BreakpointConditionBreakpointRulerAction {

	public SuggestNegativeBreakpointRulerAction(ITextEditor editor, IVerticalRulerInfo rulerInfo, String text) {
		super(editor, rulerInfo, text);
	}
	
	public void run() {
		if (getBreakpoint() instanceof IJavaContextualBreakpoint) {
			IJavaContextualBreakpoint bp = (IJavaContextualBreakpoint)getBreakpoint();
			SuggestNegativeAction action = new SuggestNegativeAction(bp);
			action.run();
		}
	}

}
