package contextualbreakpoints.ui.actions;

import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.texteditor.ITextEditor;

import contextualbreakpoints.breakpoints.IJavaContextualBreakpoint;

public class SuggestOriginalBreakpointRulerAction extends
		BreakpointConditionBreakpointRulerAction {
	
	public SuggestOriginalBreakpointRulerAction(ITextEditor editor, IVerticalRulerInfo rulerInfo, String text) {
		super(editor, rulerInfo, text);
	}
	
	public void run() {
		if (getBreakpoint() instanceof IJavaContextualBreakpoint) {
			IJavaContextualBreakpoint bp = (IJavaContextualBreakpoint)getBreakpoint();
			SuggestOriginalAction action = new SuggestOriginalAction(bp);
			action.run();
		}
	}
}
