package contextualbreakpoints.ui.actions;

import contextualbreakpoints.breakpoints.IJavaContextualBreakpoint;
import contextualbreakpoints.contextlogic.DebuggerContext;
import contextualbreakpoints.contextlogic.DefaultsLogic;
import contextualbreakpoints.contextlogic.IClippyDialog;

public class SuggestPositiveAction extends BreakpointConditionAction {

	public SuggestPositiveAction(IJavaContextualBreakpoint bp) {
		super(bp);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.action.IAction#run()
	 */
	public void run() {
		DebuggerContext.getInstance().getClippy().open(breakpoint, DefaultsLogic.getDefaultPositivePointcuts(breakpoint), IClippyDialog.BP_RESTRICT);
	}
	
}
