package triggerpointui.views;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.ISharedImages;
import org.eclipse.ui.PlatformUI;

import contextualbreakpoints.breakpoints.JavaContextualLineBreakpoint;



public class TriggerPointHierarchyViewLabelProvider extends LabelProvider {
	public String getColumnText(Object obj, int index) {
		return getText(obj);
	}
	public Image getColumnImage(Object obj, int index) {
		return getImage(obj);
	}
	public Image getImage(Object obj) {
		JavaContextualLineBreakpoint bp = (JavaContextualLineBreakpoint)obj;
		if (bp != null) {
			if (bp.isShadowOnly()) {
				return PlatformUI.getWorkbench().
				getSharedImages().getImage(ISharedImages.IMG_OBJS_BKMRK_TSK);
			}
		}
		return PlatformUI.getWorkbench().
		getSharedImages().getImage(ISharedImages.IMG_OPEN_MARKER);
	}
}