package contextualbreakpoints.contextlogic;


public class MethodKey {
	private String className;
	private String methodName;
	private String methodSignature;
	/**
	 * @return Returns the className.
	 */
	public String getClassName() {
		return className;
	}
	/**
	 * @param className The className to set.
	 */
	public void setClassName(String className) {
		this.className = className;
	}
	/**
	 * @return Returns the methodName.
	 */
	public String getMethodName() {
		return methodName;
	}
	/**
	 * @param methodName The methodName to set.
	 */
	public void setMethodName(String methodName) {
		this.methodName = methodName;
	}
	/**
	 * @return Returns the methodSignature.
	 */
	public String getMethodSignature() {
		return methodSignature;
	}
	/**
	 * @param methodSignature The methodSignature to set.
	 */
	public void setMethodSignature(String methodSignature) {
		this.methodSignature = methodSignature;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object obj) {
		if (obj instanceof MethodKey) {
			MethodKey key = (MethodKey)obj;
			return (key.className.equals(className) &&
					key.methodName.equals(methodName) &&
					key.methodSignature.equals(methodSignature));
		}
		return false;
	}

}
