package contextualbreakpoints.pointcuts;

import org.eclipse.jdt.internal.debug.core.model.JDIThread;

public interface Pointcut {
	
	
	/**
	 * @return true if condition is true, false otherwise
	 * @param thread the thread to check the condition for
	 */
	public boolean isMatch(JDIThread thread);
	
	/**
	 * 
	 * @return a deep copy of this pointcut
	 */
	public Pointcut copy();
}
