package garbage;

import java.util.ArrayList;

import org.eclipse.debug.core.model.IBreakpoint;
import org.eclipse.jdt.debug.core.IJavaLineBreakpoint;

public interface IJavaTriggerpoint extends IJavaLineBreakpoint {
	public void setTriggerOnly(boolean yes);
	public boolean isTriggerOnly();
	// adds to the list of breakpoints triggered by this triggerpoint
	public void addDependentBreakpoint(IBreakpoint bp); 

	// get and set the list of dependent breakpoints
	public ArrayList getDependents();
	public void setDependents(ArrayList dependents);
	
	public IJavaTriggerpoint getReplacement();
	
	
}
