package contextualbreakpoints.ui.actions;

import org.eclipse.debug.core.model.IBreakpoint;
import org.eclipse.jdt.internal.debug.ui.actions.AbstractBreakpointRulerAction;
import org.eclipse.jdt.internal.debug.ui.actions.JavaBreakpointPropertiesRulerAction;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.texteditor.ITextEditor;

import contextualbreakpoints.breakpoints.IJavaContextualBreakpoint;

public abstract class BreakpointConditionBreakpointRulerAction extends
		AbstractBreakpointRulerAction {
	
	public BreakpointConditionBreakpointRulerAction(ITextEditor editor, IVerticalRulerInfo rulerInfo, String text) {
		setInfo(rulerInfo);
		setTextEditor(editor);
		setText(text);
	}

	public void update() {
		setBreakpoint(determineBreakpoint());
		if (getBreakpoint() == null || !(getBreakpoint() instanceof IJavaContextualBreakpoint)) {
			setBreakpoint(null);
			setEnabled(false);
			return;
		}
		setEnabled(true);
	}
	
//	public IBreakpoint publicGetBreakpoint() {
//		determineBreakpoint();
//		return getBreakpoint();
//	}

}
