package contextualbreakpoints.ui.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.texteditor.AbstractRulerActionDelegate;
import org.eclipse.ui.texteditor.ITextEditor;

public class ClearConditionContextMenuActionDelegate extends
		AbstractRulerActionDelegate {

	
	ClearConditionBreakpointRulerAction delegateAction;
	
	public void setActiveEditor(IAction action, IEditorPart targetEditor) {
		super.setActiveEditor(action, targetEditor);
	}
	
	
	protected IAction createAction(ITextEditor editor,
			IVerticalRulerInfo rulerInfo) {
		delegateAction = new ClearConditionBreakpointRulerAction(editor, rulerInfo, "Remove Control-Flow Condition...");
		return delegateAction;
	}

}
