package contextualbreakpoints.ui.actions;

import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.texteditor.ITextEditor;

import contextualbreakpoints.breakpoints.IJavaContextualBreakpoint;
import contextualbreakpoints.contextlogic.MethodKey;

public class ExceptCFlowBreakpointRulerAction extends
BreakpointConditionBreakpointRulerAction{

	protected MethodKey methKey;
	
	public ExceptCFlowBreakpointRulerAction(ITextEditor editor, IVerticalRulerInfo rulerInfo, String text, 
			MethodKey methKey) {
		super(editor, rulerInfo, text);
		this.methKey = methKey;
	}
	
	public void run() {
		if (getBreakpoint() instanceof IJavaContextualBreakpoint) {
			IJavaContextualBreakpoint bp = (IJavaContextualBreakpoint)getBreakpoint();
			ExceptCFlowAction action = new ExceptCFlowAction(bp, methKey);
			action.run();
		}
	}

}
