package contextualbreakpoints.ui.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.text.source.IVerticalRulerInfo;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.texteditor.AbstractRulerActionDelegate;
import org.eclipse.ui.texteditor.ITextEditor;

public class ExceptCFlowContextMenuActionDelegate extends
		AbstractRulerActionDelegate {

	ExceptCFlowContextMenuAction delegateAction;
	
	protected IAction createAction(ITextEditor editor,
			IVerticalRulerInfo rulerInfo) {
		delegateAction = new ExceptCFlowContextMenuAction(editor, rulerInfo);
		delegateAction.setText("Don't Suspend in Control Flow of Method");
		return delegateAction;
	}

	public void setActiveEditor(IAction action, IEditorPart targetEditor) {
		super.setActiveEditor(action, targetEditor);
		action.setMenuCreator(delegateAction);
	}
}
