package contextualbreakpoints.contextlogic;

import contextualbreakpoints.breakpoints.IJavaContextualBreakpoint;
import contextualbreakpoints.pointcuts.Pointcut;

public interface IClippyDialog {
	
	// the responses
	public final int YES_ANSWER = 0;
	public final int NO_ANSWER = 1;
	
	// the types of situations clippy is popping up in
	public final int BP_FIRST_BREAK = 10;
	public final int BP_DISABLE = 11;
	public final int BP_EXCLUDE = 12;
	public final int BP_RESTRICT = 13;
	public final int BP_RESTRICT_ORIG = 14;
	
	/**
	 * @return one of the responses 
	 */
	public void open(IJavaContextualBreakpoint bp, Pointcut[] pcs, int situation);

}
